<?php
session_start();
ob_start();
define('MTOP', 1);
require_once('system/connect.php');
require_once('system/core.php');
require_once('system/function.php');

$id_shop='5921';
$hash='ioav';

$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : '';
switch($act) {
default:
$title = 'VIP сайты';
require_once('head.php');
echo '<div class="title2">'.$title.'</div>';

$platform = mysql_query("SELECT * FROM `sait` WHERE `vip` > '".time()."' ORDER BY `id` DESC LIMIT 10");
while($row = mysql_fetch_array($platform))
{


if($row['id'] == $_GET['id_site']) {
$red = '<font color="red">'.$row['url'].'</font>';
} else {
$red = buildTextGradient($row['url'], array($row['n1'], $row['n2']));
}
 
if($start == 1) { $icon = 'mobile-icon-first'; } 
if($start >= 4) { $icon = 'mobile-icon'; } 	
echo '<table width="100%" cellpadding="5" cellspacing="0"  class="vips vipes"><tbody><tr>
                <td width="1%" style="padding: 9px;"><img src="'.$HOME.'/images/crown.png" alt="VIP" title="VIP сайт"></td>
                <td width="89%" style="padding: 9px;"> <img src="//www.google.com/s2/favicons?domain='.$row['url'].'" alt="favicon"> <a href="/out.php?id='.$row['id'].'" rel="nofollow"  target="_blank" title="Посетить wap сайт '.$row['url'].'"><b>'.$red.'</b></span></a> <b>
				
				<span class="badge"><span class="hosts">'.$row['hosts'].'</span> <span class="hits">'.$row['hits'].'</span></span></b> <br>';
                if(mb_strlen($row['about']) > 65){
$text = mb_substr($row['about'], 0, 65, 'utf-8');
echo $text;
}else{
echo $row['about'];
}
echo '</td>
                <td width="10%" style="padding: 0px;"> <a href="/stats/'.$row['id'].'"><img src="'.$HOME.'/style/img/ico-stat.png" alt="*" title="Статистика сайта"></a></td>
                
            </tr>
        </tbody></table>';	

}

$count = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `vip` > time()"));
if($count == 0){
    echo '<div class="lt">VIP сайтов нет.</div>';
}
break;

case 'pay':
$isset = mysql_fetch_assoc(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
$title = 'Покупка VIP статуса для сайта '.$isset['url'].'';
require_once('head.php');
echo '<div class="title2">'.$title.'</div>';


echo '
<div class="lt">
	                                          <form action="/vip/merchant/'.$id.'" method="post" name="form">
				Количество дней: <br><input name="days" type="number" size="2" max="31" min="1" value="1"><br>
				Способ оплаты: WorldKassa<br>
				Стоимость в день: 7 руб.<br>
				Покупка производиться автоматически.<br>
				<input name="idsait" type="hidden" value="'.$id.'">
				<input name="submit" type="submit" value="Перейти к оплате">
				</form>
				</div>
				';

break;

case 'merchant':

$title = 'Новая заявка на покупку VIP сайта';
require_once('head.php');

$summa = $_POST['days'] * 7;

if(isset($_REQUEST['ok'])) {

$summ = $_POST['dayn'] * 7;	


	if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $summ))
		{
		$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summ.'&hash='.$hash);
		if (is_numeric($data))
			{
			mysql_query("INSERT INTO `vip` (`id_user`, `id_bill`, `time`, `summa`) values('".$_POST['idsaits']."', '".$data."', '".time()."', '".$summ."')");
			header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
			exit();
			}
			else
			{
			$err=$data;
			}
		}
		else
		{
		$err='Произошла ошибка.';
		}
	}

echo '<div class="title2">Создание новой заявки</div>';

echo '<div class="lt">Новый платеж <b><font color="green">'.$summa.'</font></b> руб.  "Оплата за VIP статус сайта #id: '.$_POST['idsait'].'".<br />

<form action="" method="post">
<input name="dayn" type="hidden" value="'.$_POST['days'].'"/> <br/>
<input name="idsaits" type="hidden" value="'.$_POST['idsait'].'"/> <br/>
<input type="submit" name="ok" value="Оплатить"/>
</form>

</div>';



break;

}

require_once('foot.php');
?>